Apache JMeter

## org.apache.jmeter.gui.util
Class IconToolbarBean

    java.lang.Object
      org.apache.jmeter.gui.util.IconToolbarBean

    public final class IconToolbarBean

extends Object

Method Summary
`String` `getActionName()`
`String` `getActionNameResolve()` Resolve action name ID declared in icon set file to ActionNames value
`String` `getI18nKey()`
`String` `getIconPath()`
`String` `getIconPathPressed()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getActionNameResolve

    public String getActionNameResolve()

  Resolve action name ID declared in icon set file to ActionNames value

  Returns:
    the resolve actionName

### getI18nKey

    public String getI18nKey()

  Returns:
    the i18nKey

### getActionName

    public String getActionName()

  Returns:
    the actionName

### getIconPath

    public String getIconPath()

  Returns:
    the iconPath

### getIconPathPressed

    public String getIconPathPressed()

  Returns:
    the iconPathPressed

Apache JMeter

Copyright © 1998-2012 Apache Software Foundation. All Rights Reserved.